io.agora.rtc

## Class MediaStreamInfo

- java.lang.Object
- - io.agora.rtc.MediaStreamInfo

-     public class MediaStreamInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `audioBitsPerSample`
    `private int` | `audioChannels`
    `private int` | `audioSampleRate`
    `private byte` | `codecName`
    `private long` | `duration`
    `private byte` | `language`
    `private int` | `streamIndex`
    `private int` | `streamType`
    `private int` | `videoBitRate`
    `private int` | `videoFrameRate`
    `private int` | `videoHeight`
    `private int` | `videoRotation`
    `private int` | `videoWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediaStreamInfo()`
    `MediaStreamInfo(int streamIndex, int streamType, byte codecName, byte language, int videoFrameRate, int videoBitRate, int videoWidth, int videoHeight, int videoRotation, int audioSampleRate, int audioChannels, int audioBitsPerSample, long duration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAudioBitsPerSample()`
    `int` | `getAudioChannels()`
    `int` | `getAudioSampleRate()`
    `byte` | `getCodecName()`
    `long` | `getDuration()`
    `byte` | `getLanguage()`
    `int` | `getStreamIndex()`
    `int` | `getStreamType()`
    `int` | `getVideoBitRate()`
    `int` | `getVideoFrameRate()`
    `int` | `getVideoHeight()`
    `int` | `getVideoRotation()`
    `int` | `getVideoWidth()`
    `void` | `setAudioBitsPerSample(int audioBitsPerSample)`
    `void` | `setAudioChannels(int audioChannels)`
    `void` | `setAudioSampleRate(int audioSampleRate)`
    `void` | `setCodecName(byte codecName)`
    `void` | `setDuration(long duration)`
    `void` | `setLanguage(byte language)`
    `void` | `setStreamIndex(int streamIndex)`
    `void` | `setStreamType(int streamType)`
    `void` | `setVideoBitRate(int videoBitRate)`
    `void` | `setVideoFrameRate(int videoFrameRate)`
    `void` | `setVideoHeight(int videoHeight)`
    `void` | `setVideoRotation(int videoRotation)`
    `void` | `setVideoWidth(int videoWidth)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### streamIndex

          private int streamIndex

    - #### streamType

          private int streamType

    - #### codecName

          private byte codecName

    - #### language

          private byte language

    - #### videoFrameRate

          private int videoFrameRate

    - #### videoBitRate

          private int videoBitRate

    - #### videoWidth

          private int videoWidth

    - #### videoHeight

          private int videoHeight

    - #### videoRotation

          private int videoRotation

    - #### audioSampleRate

          private int audioSampleRate

    - #### audioChannels

          private int audioChannels

    - #### audioBitsPerSample

          private int audioBitsPerSample

    - #### duration

          private long duration

  - ### Constructor Detail

    - #### MediaStreamInfo

          public MediaStreamInfo()

    - #### MediaStreamInfo

          public MediaStreamInfo(int streamIndex,
                                 int streamType,
                                 byte codecName,
                                 byte language,
                                 int videoFrameRate,
                                 int videoBitRate,
                                 int videoWidth,
                                 int videoHeight,
                                 int videoRotation,
                                 int audioSampleRate,
                                 int audioChannels,
                                 int audioBitsPerSample,
                                 long duration)

  - ### Method Detail

    - #### getStreamIndex

          public int getStreamIndex()

    - #### setStreamIndex

          public void setStreamIndex(int streamIndex)

    - #### getStreamType

          public int getStreamType()

    - #### setStreamType

          public void setStreamType(int streamType)

    - #### getCodecName

          public byte getCodecName()

    - #### setCodecName

          public void setCodecName(byte codecName)

    - #### getLanguage

          public byte getLanguage()

    - #### setLanguage

          public void setLanguage(byte language)

    - #### getVideoFrameRate

          public int getVideoFrameRate()

    - #### setVideoFrameRate

          public void setVideoFrameRate(int videoFrameRate)

    - #### getVideoBitRate

          public int getVideoBitRate()

    - #### setVideoBitRate

          public void setVideoBitRate(int videoBitRate)

    - #### getVideoWidth

          public int getVideoWidth()

    - #### setVideoWidth

          public void setVideoWidth(int videoWidth)

    - #### getVideoHeight

          public int getVideoHeight()

    - #### setVideoHeight

          public void setVideoHeight(int videoHeight)

    - #### getVideoRotation

          public int getVideoRotation()

    - #### setVideoRotation

          public void setVideoRotation(int videoRotation)

    - #### getAudioSampleRate

          public int getAudioSampleRate()

    - #### setAudioSampleRate

          public void setAudioSampleRate(int audioSampleRate)

    - #### getAudioChannels

          public int getAudioChannels()

    - #### setAudioChannels

          public void setAudioChannels(int audioChannels)

    - #### getAudioBitsPerSample

          public int getAudioBitsPerSample()

    - #### setAudioBitsPerSample

          public void setAudioBitsPerSample(int audioBitsPerSample)

    - #### getDuration

          public long getDuration()

    - #### setDuration

          public void setDuration(long duration)